Rem Autor: @@Jan Klečka@@
Rem ------------------------------------------------------------------
Rem Tahle část terminálového programu slouží pro vygenerování Souukromého a veřejného klíče karty.
Rem ------------------------------------------------------------------
Option Explicit

#Include COMMERR.DEF
#Include ECTERM.DEF
#Include MISC.DEF
#include Funkce.def
#include Card.def
#include BigInt.def

private PrivateKarta$
EEPROM PublicKarta$
ResetCard : Call CheckSW1SW2()

Rem  Ziskani parametru kartu pro EC
Private Curve As Integer
Call GetCurveIndex (Curve) : Call CheckSW1SW2()

Call ECpSetCurve (Curve) : Call CheckLibError()


 Private StartTime As DateTime, EndTime As DateTime, Interval As Long
 Call GetDateTime (StartTime)
 
call generujKlice ()
Call GetDateTime (EndTime)

Interval = TimeInterval (StartTime, EndTime)
 Print "Generuji Klice karty" ;: Print 0.001 * Interval ; : Print "vterin..." 

